Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033966
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] I. Performanceminoralways2013-06-26 11:062016-09-16 09:17
ReporterjecharriView Statuspublic 
Assigned Todmiguelez 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q3.2
StatusclosedFix in branchFixed in SCM revisionfea703d23f84
ProjectionnoneETAnoneTarget Version3.0PR16Q3.2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033966: Accounting background process has bad performance

DescriptionAccounting background process has bad performance

With huge quantity of documents to be posted the accounting process can take much time.

More than 24 hours
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0024191 closeddmiguelez Accounting background process has bad performance 

-  Notes
(0090010)
hgbot (developer)
2016-09-16 09:15

Repository: erp/backports/3.0PR16Q3.2
Changeset: fea703d23f845a9bbccae7c2355e4a5a1dc1e4c9
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Thu Sep 08 16:36:16 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.2/rev/fea703d23f845a9bbccae7c2355e4a5a1dc1e4c9 [^]

Fixes Issue 33966. Improves performance for Accounting Background Process.

Adds Index in FIN_FINACC_TRANSACTION Table.
Modifies query in AcctServer_data to properly limit the results returned.
Modifies query in AcctServer_data to remove the order clause.
Persist information about Accounting Schemas in Java code so it is no longer
necessary to access the Database everytime to retrive that information.

---
M src-db/database/model/tables/FIN_FINACC_TRANSACTION.xml
M src/org/openbravo/dal/core/OBContext.java
M src/org/openbravo/erpCommon/ad_forms/AcctSchema.java
M src/org/openbravo/erpCommon/ad_forms/AcctServer.java
M src/org/openbravo/erpCommon/ad_forms/AcctServer_data.xsql
A src/org/openbravo/erpCommon/ad_forms/AcctSchemaStructureProvider.java
---
(0090011)
hgbot (developer)
2016-09-16 09:15

Repository: erp/backports/3.0PR16Q3.2
Changeset: c5495a086bf8177dc5e235fa87a8ebe72888df0e
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Sep 13 18:24:02 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.2/rev/c5495a086bf8177dc5e235fa87a8ebe72888df0e [^]

Related to issue 33966: Code review improvements

- Move AcctSchemaStructureProvider.java to same folder as OrganizationStructureProvider.java.
- Rename acctSchemaSP variable to acctSchemaProvider in OBContext.java.
- Remove unused data variable in AcctSchema.java.
- Add commentary to explain why we send limit manually to xsql query in AcctServer.java.
- Do not send numberRegisters parameter to AcctServerData.select as we are already sending the limit.
- Undo changes in AcctServerData.periodOpen method and create new AcctServerData.selectPeriodOpen method to avoid a functional API change.

---
M src/org/openbravo/dal/core/OBContext.java
M src/org/openbravo/erpCommon/ad_forms/AcctSchema.java
M src/org/openbravo/erpCommon/ad_forms/AcctServer.java
M src/org/openbravo/erpCommon/ad_forms/AcctServer_data.xsql
A src/org/openbravo/dal/security/AcctSchemaStructureProvider.java
R src/org/openbravo/erpCommon/ad_forms/AcctSchemaStructureProvider.java
---
(0090012)
hgbot (developer)
2016-09-16 09:15

Repository: erp/backports/3.0PR16Q3.2
Changeset: aea815e75a2f93c56fce5164e0f522a79d997ef4
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Sep 14 18:24:33 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.2/rev/aea815e75a2f93c56fce5164e0f522a79d997ef4 [^]

Related to issue 33966: Update copyright

---
M src/org/openbravo/erpCommon/ad_forms/AcctServer_data.xsql
---
(0090017)
aferraz (developer)
2016-09-16 09:17

Code review + Testing OK

- Issue History
Date Modified Username Field Change
2016-09-13 12:52 dmiguelez Type design defect => backport
2016-09-13 12:52 dmiguelez Target Version => 3.0PR16Q3.2
2016-09-16 09:15 hgbot Checkin
2016-09-16 09:15 hgbot Note Added: 0090010
2016-09-16 09:15 hgbot Status scheduled => resolved
2016-09-16 09:15 hgbot Resolution open => fixed
2016-09-16 09:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR16Q3.2/rev/fea703d23f845a9bbccae7c2355e4a5a1dc1e4c9 [^]
2016-09-16 09:15 hgbot Checkin
2016-09-16 09:15 hgbot Note Added: 0090011
2016-09-16 09:15 hgbot Checkin
2016-09-16 09:15 hgbot Note Added: 0090012
2016-09-16 09:17 aferraz Review Assigned To => aferraz
2016-09-16 09:17 aferraz Note Added: 0090017
2016-09-16 09:17 aferraz Status resolved => closed
2016-09-16 09:17 aferraz Fixed in Version => 3.0PR16Q3.2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker